summaryrefslogtreecommitdiffstats
path: root/src/ceph-run
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:45:59 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:45:59 +0000
commit19fcec84d8d7d21e796c7624e521b60d28ee21ed (patch)
tree42d26aa27d1e3f7c0b8bd3fd14e7d7082f5008dc /src/ceph-run
parentInitial commit. (diff)
downloadceph-19fcec84d8d7d21e796c7624e521b60d28ee21ed.tar.xz
ceph-19fcec84d8d7d21e796c7624e521b60d28ee21ed.zip
Adding upstream version 16.2.11+ds.upstream/16.2.11+dsupstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/ceph-run')
-rwxr-xr-xsrc/ceph-run21
1 files changed, 21 insertions, 0 deletions
diff --git a/src/ceph-run b/src/ceph-run
new file mode 100755
index 000000000..afc3d1a51
--- /dev/null
+++ b/src/ceph-run
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+sleep=5
+
+while [ true ]; do
+ "$@"
+ exit_code=$?
+
+ if [ $exit_code -gt 128 ]; then
+ case $(($exit_code-128)) in
+ 3 | 4 | 5 | 6 | 8 | 11)
+ ;;
+ *)
+ exit;
+ esac
+ echo ceph-run: $1 dumped core, restarting in $sleep seconds...
+ sleep $sleep
+ else
+ exit
+ fi
+done